%global dlrn_nvr 18.6.1-1.20230423024131.8074e69
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-horizon
Version: 18.6.1
Release: 1.20230423024131.8074e69%{?dist}
Summary:        Puppet module for OpenStack Horizon
License:        ASL 2.0

URL:            https://launchpad.net/puppet-horizon

Source0: 18.6.1-1.20230423024131.8074e69.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=8074e69b4ebff81e83178fd7a21a1377353f32bb

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-apache
Requires:       puppet-stdlib
Requires:       puppet-memcached
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Horizon

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-horizon-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/



%files
%{_datadir}/openstack-puppet/modules/horizon/


%changelog
* Sat Apr 22 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-1.20230423024131.8074e69
- Update patches
- Fix missing comma causing syntax error

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226005350.d8e53f6
- Update patches
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109031616.e768b14
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108103429.e768b14
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102024924.2f3476b
- Update patches
- Prepare the final wallaby release

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102013828.69539a2
- Prepare the final wallaby release

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220830142353.69539a2
- Update patches
- Do not show diff of local_settings(.py)
- wallaby and before: Remove logic for CentOS 7/RHEL 7

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220820224655.7e7e2e2
- Update patches
- Add inet6 prefix only when MemcacheCache is used
- Accept array for cache_server_url

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727135055.6fc4f4d
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220714125438.6fc4f4d
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220713081839.6fc4f4d
- Update patches

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220428015438.6fc4f4d
- Update patches
- Allow customizing apache::vhost parameters for SSL vhost

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220428002544.9a6961d
- Allow customizing apache::vhost parameters for SSL vhost

* Fri Mar 25 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220326004846.9a6961d
- Update patches
- Fix syntax error in individual dashboard settings

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317191125.31798f7
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217235450.e3f1d88
- Update patches

* Mon Feb 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220215002553.e3f1d88
- Update patches
- Fix missing HORIZON_IMAGES_UPLOAD_MODE

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204010932.faff513
- Update patches
- Prepare a new Wallaby release

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220122222307.83af564
- Update patches
- Do not hard-code REST_API_REQUIRED_SETTINGS

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220115002906.0d93c96
- Update patches
- Handle string value for LAUNCH_INSTANCE_DEFAULTS

* Mon Nov 01 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211102003017.8437bc4
- Update patches
- Wallaby and older: Use 'UNSET' to remove heat dashboard parameters

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20211003005156.7135e8d
- Update patches
- Fix how disallow_iframe_embed is defined

* Mon Jul 05 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210705221812.fd8db39
- Update patches
- Add support for independent manila-dashboard configurations
- Add support for independent octavia-dashboard configurations

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210628225255.655e0df
- Update patches
- Add support for independent heat-dashboard configurations

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210603232402.3e653ee
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528072435.5d12ce4
- Update patches

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- metadata.json: debian 11

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Update description about policy settings

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the deprecated horizon::log_handler parameter
- Specify correct tempest whitelist

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add TLS context creation for Memcached backends

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant example for POLICY_FILES

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the profile_support setting from OPENSTACK_NEUTRON_NETWORK
- Clean up the removed settings from OPENSTACK_NEUTRON_NETWORK
- add support for SECURE_PROXY_ADDR_HEADER

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build containers for single consumer job

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename horizon_* ssl params to ssl_*

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby
- Add ssl_verify_client

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use common class to manage apache service in beaker job
- Use common class to manage apache service in beaker job

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Consolidate python memcache bindings install

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow multiple log handlers

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refer log_level parameter in console log handler

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless parameters for Ceilometer

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of apache::vhost::wsgi_daemon_process_options
- Bump up upper constraint for memcached module

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless TEMPLATE_DEBUG from local_setings.py template

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop removed parameters from loca_settings.py template
- Expect python3 package in CentOS8 and Fedora

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use centos-8 standalone puppet parent
- Use centos-8 standalone puppet parent

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Reflect openstacklib options for apache::vhost resources

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding the HTTPONLY cookie header to secure_cookies

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




